<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="io.renren.modules.aspen.dao.TDailyProductionReportDao">

	<!-- 可根据自己的需求，是否要使用 -->
        <resultMap type="io.renren.modules.aspen.entity.TDailyProductionReport" id="TDailyProductionReportResult">
            <result property="id"    column="id"    />
            <result property="offgasToGaaCaa"    column="offgas_to_gaa_caa"    />
            <result property="col320fc2161"    column="col_320fc2161"    />
            <result property="c210pdi"    column="c210pdi"    />
            <result property="temperature"    column="temperature"    />
            <result property="crackingFurnaceBurn"    column="cracking_furnace_burn"    />
            <result property="fromDate"    column="from_date"    />
            <result property="toDate"    column="to_date"    />
            <result property="reportDate"    column="report_date"    />
            <result property="nap"    column="nap"    />
            <result property="c5"    column="c5"    />
            <result property="c6C8Na"    column="c6_c8_na"    />
            <result property="wisonEthane"    column="wison_ethane"    />
            <result property="lpgToFurnace"    column="lpg_to_furnace"    />
            <result property="raff1FrBd"    column="raff1_fr_bd"    />
            <result property="raff2FrIb"    column="raff2_fr_ib"    />
            <result property="raff3FrBd"    column="raff3_fr_bd"    />
            <result property="raffinate2pFr2ph"    column="raffinate2p_fr_2ph"    />
            <result property="c2FrLdpe"    column="c2_fr_ldpe"    />
            <result property="c3FrOxo"    column="c3_fr_oxo"    />
            <result property="mixedC3C4"    column="mixed_c3_c4"    />
            <result property="hyC9"    column="hy_c9"    />
            <result property="pguOffgas"    column="pgu_offgas"    />
            <result property="washOil"    column="wash_oil"    />
            <result property="toluene"    column="toluene"    />
            <result property="hyC4FrR800"    column="hy_c4_fr_r800"    />
            <result property="h2YieldPercentage"    column="h2_yield_percentage"    />
            <result property="h2Produced"    column="h2_produced"    />
            <result property="h2Inventory"    column="h2_inventory"    />
            <result property="h2Change"    column="h2_change"    />
            <result property="h2Import"    column="h2_import"    />
            <result property="h2Export"    column="h2_export"    />
            <result property="h2ToPgu"    column="h2_to_pgu"    />
            <result property="h2ToYpc"    column="h2_to_ypc"    />
            <result property="h2ToOxo"    column="h2_to_oxo"    />
            <result property="h2FrSyngasToSub"    column="h2_fr_syngas_to_sub"    />
            <result property="ethylenYieldPercentage"    column="ethylen_yield_percentage"    />
            <result property="ethylenProduced"    column="ethylen_produced"    />
            <result property="ethylenInventory"    column="ethylen_inventory"    />
            <result property="ethylenChange"    column="ethylen_change"    />
            <result property="ethylenImport"    column="ethylen_import"    />
            <result property="ethylenExport"    column="ethylen_export"    />
            <result property="ethylenToTm"    column="ethylen_to_tm"    />
            <result property="ethylenToTs"    column="ethylen_to_ts"    />
            <result property="ethylenToEoEg"    column="ethylen_to_eo_eg"    />
            <result property="ethylenToOxo"    column="ethylen_to_oxo"    />
            <result property="ethylenToYbs"    column="ethylen_to_ybs"    />
            <result property="ethylenToYpc"    column="ethylen_to_ypc"    />
            <result property="ethylenToWacker"    column="ethylen_to_wacker"    />
            <result property="ethylenToDyna"    column="ethylen_to_dyna"    />
            <result property="ethylenToCelanLongx"    column="ethylen_to_celan_longx"    />
            <result property="ethylenFrYpc"    column="ethylen_fr_ypc"    />
            <result property="ethylenFrLongxiang"    column="ethylen_fr_longxiang"    />
            <result property="propyleneYieldPercentage"    column="propylene_yield_percentage"    />
            <result property="propyleneProduced"    column="propylene_produced"    />
            <result property="propyleneInventory"    column="propylene_inventory"    />
            <result property="propyleneChange"    column="propylene_change"    />
            <result property="propyleneImport"    column="propylene_import"    />
            <result property="propyleneExport"    column="propylene_export"    />
            <result property="propyleneToAaAe"    column="propylene_to_aa_ae"    />
            <result property="propyleneToGaa"    column="propylene_to_gaa"    />
            <result property="propyleneToOxo"    column="propylene_to_oxo"    />
            <result property="propyleneToLdpe"    column="propylene_to_ldpe"    />
            <result property="propyleneToYpc"    column="propylene_to_ypc"    />
            <result property="propyleneToRoad"    column="propylene_to_road"    />
            <result property="propyleneToShip"    column="propylene_to_ship"    />
            <result property="propyleneFrYpc"    column="propylene_fr_ypc"    />
            <result property="propyleneFrShip"    column="propylene_fr_ship"    />
            <result property="propyleneFrChengzhi"    column="propylene_fr_chengzhi"    />
            <result property="c3LpgYieldPercentage"    column="c3_lpg_yield_percentage"    />
            <result property="c4LpgYieldPercentage"    column="c4_lpg_yield_percentage"    />
            <result property="c3LpgProduced"    column="c3_lpg_produced"    />
            <result property="c4LpgProduced"    column="c4_lpg_produced"    />
            <result property="c3C4Inventory"    column="c3_c4_inventory"    />
            <result property="c3C4Change"    column="c3_c4_change"    />
            <result property="c3C4Import"    column="c3_c4_import"    />
            <result property="c3C4Export"    column="c3_c4_export"    />
            <result property="c3C4ToSub"    column="c3_c4_to_sub"    />
            <result property="c3C4ToFurAsFule"    column="c3_c4_to_fur_as_fule"    />
            <result property="c3C4AsFeed"    column="c3_c4_as_feed"    />
            <result property="c3C4FrYpc"    column="c3_c4_fr_ypc"    />
            <result property="c3C4FrTruck"    column="c3_c4_fr_truck"    />
            <result property="mixedC4sYieldPercentage"    column="mixed_c4s_yield_percentage"    />
            <result property="mixedC4sProduced"    column="mixed_c4s_produced"    />
            <result property="mixedC4sInventory"    column="mixed_c4s_inventory"    />
            <result property="mixedC4sChange"    column="mixed_c4s_change"    />
            <result property="mixedC4sImport"    column="mixed_c4s_import"    />
            <result property="mixedC4sExport"    column="mixed_c4s_export"    />
            <result property="mixedC4sToBd"    column="mixed_c4s_to_bd"    />
            <result property="mixedC4sToYpc"    column="mixed_c4s_to_ypc"    />
            <result property="mixedC4sToTruck"    column="mixed_c4s_to_truck"    />
            <result property="mixedC4sToShip"    column="mixed_c4s_to_ship"    />
            <result property="mixedC4sFrYpc"    column="mixed_c4s_fr_ypc"    />
            <result property="mixedC4sFrTruck"    column="mixed_c4s_fr_truck"    />
            <result property="mixedC4sFrShip"    column="mixed_c4s_fr_ship"    />
            <result property="mixedC4sFrBdR1"    column="mixed_c4s_fr_bd_r1"    />
            <result property="mixedC4sToR800"    column="mixed_c4s_to_r800"    />
            <result property="eboYieldPercentage"    column="ebo_yield_percentage"    />
            <result property="eboProduced"    column="ebo_produced"    />
            <result property="eboInventory"    column="ebo_inventory"    />
            <result property="eboChange"    column="ebo_change"    />
            <result property="eboImport"    column="ebo_import"    />
            <result property="eboExport"    column="ebo_export"    />
            <result property="eboToShip"    column="ebo_to_ship"    />
            <result property="eboToRttf"    column="ebo_to_rttf"    />
            <result property="eboToTrain"    column="ebo_to_train"    />
            <result property="eboFrBd"    column="ebo_fr_bd"    />
            <result property="naphthaleneYieldPercentage"    column="naphthalene_yield_percentage"    />
            <result property="naphthaleneProduced"    column="naphthalene_produced"    />
            <result property="naphthaleneInventory"    column="naphthalene_inventory"    />
            <result property="naphthaleneChange"    column="naphthalene_change"    />
            <result property="naphthaleneImport"    column="naphthalene_import"    />
            <result property="naphthaleneExport"    column="naphthalene_export"    />
            <result property="naphthaleneToTruck"    column="naphthalene_to_truck"    />
            <result property="poFluxOilYieldPercentage"    column="po_flux_oil_yield_percentage"    />
            <result property="poFluxOilProduced"    column="po_flux_oil_produced"    />
            <result property="poFluxOilInventory"    column="po_flux_oil_inventory"    />
            <result property="poFluxOilChange"    column="po_flux_oil_change"    />
            <result property="poFluxOilImport"    column="po_flux_oil_import"    />
            <result property="poFluxOilExport"    column="po_flux_oil_export"    />
            <result property="poFluxOilToBd"    column="po_flux_oil_to_bd"    />
            <result property="offgasYieldPercentage"    column="offgas_yield_percentage"    />
            <result property="offgasProduced"    column="offgas_produced"    />
            <result property="offgasInventory"    column="offgas_inventory"    />
            <result property="offgasChange"    column="offgas_change"    />
            <result property="offgasImport"    column="offgas_import"    />
            <result property="offgasExport"    column="offgas_export"    />
            <result property="offgasToFurnance"    column="offgas_to_furnance"    />
            <result property="offgasToYbs"    column="offgas_to_ybs"    />
            <result property="offgasToCEru"    column="offgas_to_c_eru"    />
            <result property="offgasSubInCloseU2"    column="offgas_sub_in_close_u2"    />
            <result property="offgasFlareSctu"    column="offgas_flare_sctu"    />
            <result property="offgasToU2Nm3"    column="offgas_to_u2_nm3"    />
            <result property="offgasFlareLossT"    column="offgas_flare_loss_t"    />
            <result property="rpgYieldPercentage"    column="rpg_yield_percentage"    />
            <result property="rpgProduced"    column="rpg_produced"    />
            <result property="rpgInventory"    column="rpg_inventory"    />
            <result property="rpgChange"    column="rpg_change"    />
            <result property="rpgImport"    column="rpg_import"    />
            <result property="rpgExport"    column="rpg_export"    />
            <result property="rpgToPgu"    column="rpg_to_pgu"    />
            <result property="rpgFrYfcc"    column="rpg_fr_yfcc"    />
            <result property="methaneYieldPercentage"    column="methane_yield_percentage"    />
            <result property="methaneProduced"    column="methane_produced"    />
            <result property="methaneToEoEg"    column="methane_to_eo_eg"    />
            <result property="residueOilYieldPercentage"    column="residue_oil_yield_percentage"    />
            <result property="residueOilProduced"    column="residue_oil_produced"    />
            <result property="totalInput"    column="total_input"    />
            <result property="totalOutput"    column="total_output"    />
            <result property="totalLoss"    column="total_loss"    />
            <result property="lossPercentage"    column="loss_percentage"    />
            <result property="totalFurnanceFeed"    column="total_furnance_feed"    />
            <result property="napFrCltf"    column="nap_fr_cltf"    />
            <result property="totalPE"    column="total_p_e"    />
            <result property="plantModeIs"    column="plant_mode_is"    />
            <result property="plantLoad3495tD"    column="plant_load_3495t_d"    />
            <result property="avgFurnanceFeedTH"    column="avg_furnance_feed_t_h"    />
            <result property="feedingRatioPercentage"    column="feeding_ratio_percentage"    />
            <result property="hhpToe"    column="hhp_toe"    />
            <result property="hhpTce"    column="hhp_tce"    />
            <result property="hhpPre"    column="hhp_pre"    />
            <result property="hhpCracker"    column="hhp_cracker"    />
            <result property="hhpCrackerTT"    column="hhp_cracker_t_t"    />
            <result property="hhpCrackerKgoe"    column="hhp_cracker_kgoe"    />
            <result property="hhpCrackerKgce"    column="hhp_cracker_kgce"    />
            <result property="hhpPguAeu"    column="hhp_pgu_aeu"    />
            <result property="hhpPguAeuTT"    column="hhp_pgu_aeu_t_t"    />
            <result property="hhpPguAeuKgoe"    column="hhp_pgu_aeu_kgoe"    />
            <result property="hhpPguAeuKgce"    column="hhp_pgu_aeu_kgce"    />
            <result property="hhpSctuFlare"    column="hhp_sctu_flare"    />
            <result property="hhpSub"    column="hhp_sub"    />
            <result property="hhpBcc"    column="hhp_bcc"    />
            <result property="ngToe"    column="ng_toe"    />
            <result property="ngTce"    column="ng_tce"    />
            <result property="ngPre"    column="ng_pre"    />
            <result property="ngCracker"    column="ng_cracker"    />
            <result property="ngCrackerTT"    column="ng_cracker_t_t"    />
            <result property="ngCrackerKgoe"    column="ng_cracker_kgoe"    />
            <result property="ngCrackerKgce"    column="ng_cracker_kgce"    />
            <result property="ngPguAeu"    column="ng_pgu_aeu"    />
            <result property="ngPguAeuTT"    column="ng_pgu_aeu_t_t"    />
            <result property="ngPguAeuKgoe"    column="ng_pgu_aeu_kgoe"    />
            <result property="ngPguAeuKgce"    column="ng_pgu_aeu_kgce"    />
            <result property="ngSctuFlare"    column="ng_sctu_flare"    />
            <result property="ngSub"    column="ng_sub"    />
            <result property="ngBcc"    column="ng_bcc"    />
            <result property="fuelGasOffgasToe"    column="fuel_gas_offgas_toe"    />
            <result property="fuelGasOffgasTce"    column="fuel_gas_offgas_tce"    />
            <result property="fuelGasOffgasPre"    column="fuel_gas_offgas_pre"    />
            <result property="fuelGasOffgasCracker"    column="fuel_gas_offgas_cracker"    />
            <result property="fuelGasOffgasCrackerTT"    column="fuel_gas_offgas_cracker_t_t"    />
            <result property="fuelGasOffgasCrackerKgoe"    column="fuel_gas_offgas_cracker_kgoe"    />
            <result property="fuelGasOffgasCrackerKgce"    column="fuel_gas_offgas_cracker_kgce"    />
            <result property="fuelGasOffgasPguAeu"    column="fuel_gas_offgas_pgu_aeu"    />
            <result property="fuelGasOffgasPguAeuTT"    column="fuel_gas_offgas_pgu_aeu_t_t"    />
            <result property="fuelGasOffgasPguAeuKgoe"    column="fuel_gas_offgas_pgu_aeu_kgoe"    />
            <result property="fuelGasOffgasPguAeuKgce"    column="fuel_gas_offgas_pgu_aeu_kgce"    />
            <result property="fuelGasOffgasSctuFlare"    column="fuel_gas_offgas_sctu_flare"    />
            <result property="fuelGasOffgasSub"    column="fuel_gas_offgas_sub"    />
            <result property="fuelGasOffgasBcc"    column="fuel_gas_offgas_bcc"    />
            <result property="shpToe"    column="shp_toe"    />
            <result property="shpTce"    column="shp_tce"    />
            <result property="shpPre"    column="shp_pre"    />
            <result property="shpCracker"    column="shp_cracker"    />
            <result property="shpCrackerTT"    column="shp_cracker_t_t"    />
            <result property="shpCrackerKgoe"    column="shp_cracker_kgoe"    />
            <result property="shpCrackerKgce"    column="shp_cracker_kgce"    />
            <result property="shpPguAeu"    column="shp_pgu_aeu"    />
            <result property="shpPguAeuTT"    column="shp_pgu_aeu_t_t"    />
            <result property="shpPguAeuKgoe"    column="shp_pgu_aeu_kgoe"    />
            <result property="shpPguAeuKgce"    column="shp_pgu_aeu_kgce"    />
            <result property="shpSctuFlare"    column="shp_sctu_flare"    />
            <result property="shpSub"    column="shp_sub"    />
            <result property="shpBcc"    column="shp_bcc"    />
            <result property="hpToe"    column="hp_toe"    />
            <result property="hpTce"    column="hp_tce"    />
            <result property="hpPre"    column="hp_pre"    />
            <result property="hpCracker"    column="hp_cracker"    />
            <result property="hpCrackerTT"    column="hp_cracker_t_t"    />
            <result property="hpCrackerKgoe"    column="hp_cracker_kgoe"    />
            <result property="hpCrackerKgce"    column="hp_cracker_kgce"    />
            <result property="hpPguAeu"    column="hp_pgu_aeu"    />
            <result property="hpPguAeuTT"    column="hp_pgu_aeu_t_t"    />
            <result property="hpPguAeuKgoe"    column="hp_pgu_aeu_kgoe"    />
            <result property="hpPguAeuKgce"    column="hp_pgu_aeu_kgce"    />
            <result property="hpSctuFlare"    column="hp_sctu_flare"    />
            <result property="hpSub"    column="hp_sub"    />
            <result property="hpBcc"    column="hp_bcc"    />
            <result property="mpToe"    column="mp_toe"    />
            <result property="mpTce"    column="mp_tce"    />
            <result property="mpPre"    column="mp_pre"    />
            <result property="mpCracker"    column="mp_cracker"    />
            <result property="mpCrackerTT"    column="mp_cracker_t_t"    />
            <result property="mpCrackerKgoe"    column="mp_cracker_kgoe"    />
            <result property="mpCrackerKgce"    column="mp_cracker_kgce"    />
            <result property="mpPguAeu"    column="mp_pgu_aeu"    />
            <result property="mpPguAeuTT"    column="mp_pgu_aeu_t_t"    />
            <result property="mpPguAeuKgoe"    column="mp_pgu_aeu_kgoe"    />
            <result property="mpPguAeuKgce"    column="mp_pgu_aeu_kgce"    />
            <result property="mpSctuFlare"    column="mp_sctu_flare"    />
            <result property="mpSub"    column="mp_sub"    />
            <result property="mpBcc"    column="mp_bcc"    />
            <result property="lpToe"    column="lp_toe"    />
            <result property="lpTce"    column="lp_tce"    />
            <result property="lpPre"    column="lp_pre"    />
            <result property="lpCracker"    column="lp_cracker"    />
            <result property="lpCrackerTT"    column="lp_cracker_t_t"    />
            <result property="lpCrackerKgoe"    column="lp_cracker_kgoe"    />
            <result property="lpCrackerKgce"    column="lp_cracker_kgce"    />
            <result property="lpPguAeu"    column="lp_pgu_aeu"    />
            <result property="lpPguAeuTT"    column="lp_pgu_aeu_t_t"    />
            <result property="lpPguAeuKgoe"    column="lp_pgu_aeu_kgoe"    />
            <result property="lpPguAeuKgce"    column="lp_pgu_aeu_kgce"    />
            <result property="lpSctuFlare"    column="lp_sctu_flare"    />
            <result property="lpSub"    column="lp_sub"    />
            <result property="lpBcc"    column="lp_bcc"    />
            <result property="electricityToe"    column="electricity_toe"    />
            <result property="electricityTce"    column="electricity_tce"    />
            <result property="electricityPre"    column="electricity_pre"    />
            <result property="electricityCracker"    column="electricity_cracker"    />
            <result property="electricityCrackerTT"    column="electricity_cracker_t_t"    />
            <result property="electricityCrackerKgoe"    column="electricity_cracker_kgoe"    />
            <result property="electricityCrackerKgce"    column="electricity_cracker_kgce"    />
            <result property="electricityPguAeu"    column="electricity_pgu_aeu"    />
            <result property="electricityPguAeuTT"    column="electricity_pgu_aeu_t_t"    />
            <result property="electricityPguAeuKgoe"    column="electricity_pgu_aeu_kgoe"    />
            <result property="electricityPguAeuKgce"    column="electricity_pgu_aeu_kgce"    />
            <result property="electricitySctuFlare"    column="electricity_sctu_flare"    />
            <result property="electricitySub"    column="electricity_sub"    />
            <result property="electricityBcc"    column="electricity_bcc"    />
            <result property="coolingWaterToe"    column="cooling_water_toe"    />
            <result property="coolingWaterTce"    column="cooling_water_tce"    />
            <result property="coolingWaterPre"    column="cooling_water_pre"    />
            <result property="coolingWaterCracker"    column="cooling_water_cracker"    />
            <result property="coolingWaterCrackerTT"    column="cooling_water_cracker_t_t"    />
            <result property="coolingWaterCrackerKgoe"    column="cooling_water_cracker_kgoe"    />
            <result property="coolingWaterCrackerKgce"    column="cooling_water_cracker_kgce"    />
            <result property="coolingWaterPguAeu"    column="cooling_water_pgu_aeu"    />
            <result property="coolingWaterPguAeuTT"    column="cooling_water_pgu_aeu_t_t"    />
            <result property="coolingWaterPguAeuKgoe"    column="cooling_water_pgu_aeu_kgoe"    />
            <result property="coolingWaterPguAeuKgce"    column="cooling_water_pgu_aeu_kgce"    />
            <result property="coolingWaterSctuFlare"    column="cooling_water_sctu_flare"    />
            <result property="coolingWaterSub"    column="cooling_water_sub"    />
            <result property="coolingWaterBcc"    column="cooling_water_bcc"    />
            <result property="polishedConToe"    column="polished_con_toe"    />
            <result property="polishedConTce"    column="polished_con_tce"    />
            <result property="polishedConPre"    column="polished_con_pre"    />
            <result property="polishedConCracker"    column="polished_con_cracker"    />
            <result property="polishedConCrackerTT"    column="polished_con_cracker_t_t"    />
            <result property="polishedConCrackerKgoe"    column="polished_con_cracker_kgoe"    />
            <result property="polishedConCrackerKgce"    column="polished_con_cracker_kgce"    />
            <result property="polishedConPguAeu"    column="polished_con_pgu_aeu"    />
            <result property="polishedConPguAeuTT"    column="polished_con_pgu_aeu_t_t"    />
            <result property="polishedConPguAeuKgoe"    column="polished_con_pgu_aeu_kgoe"    />
            <result property="polishedConPguAeuKgce"    column="polished_con_pgu_aeu_kgce"    />
            <result property="polishedConSctuFlare"    column="polished_con_sctu_flare"    />
            <result property="polishedConSub"    column="polished_con_sub"    />
            <result property="polishedConBcc"    column="polished_con_bcc"    />
            <result property="hpBfwToe"    column="hp_bfw_toe"    />
            <result property="hpBfwTce"    column="hp_bfw_tce"    />
            <result property="hpBfwPre"    column="hp_bfw_pre"    />
            <result property="hpBfwCracker"    column="hp_bfw_cracker"    />
            <result property="hpBfwCrackerTT"    column="hp_bfw_cracker_t_t"    />
            <result property="hpBfwCrackerKgoe"    column="hp_bfw_cracker_kgoe"    />
            <result property="hpBfwCrackerKgce"    column="hp_bfw_cracker_kgce"    />
            <result property="hpBfwPguAeu"    column="hp_bfw_pgu_aeu"    />
            <result property="hpBfwPguAeuTT"    column="hp_bfw_pgu_aeu_t_t"    />
            <result property="hpBfwPguAeuKgoe"    column="hp_bfw_pgu_aeu_kgoe"    />
            <result property="hpBfwPguAeuKgce"    column="hp_bfw_pgu_aeu_kgce"    />
            <result property="hpBfwSctuFlare"    column="hp_bfw_sctu_flare"    />
            <result property="hpBfwSub"    column="hp_bfw_sub"    />
            <result property="hpBfwBcc"    column="hp_bfw_bcc"    />
            <result property="prodWaterToe"    column="prod_water_toe"    />
            <result property="prodWaterTce"    column="prod_water_tce"    />
            <result property="prodWaterPre"    column="prod_water_pre"    />
            <result property="prodWaterCracker"    column="prod_water_cracker"    />
            <result property="prodWaterCrackerTT"    column="prod_water_cracker_t_t"    />
            <result property="prodWaterCrackerKgoe"    column="prod_water_cracker_kgoe"    />
            <result property="prodWaterCrackerKgce"    column="prod_water_cracker_kgce"    />
            <result property="prodWaterPguAeu"    column="prod_water_pgu_aeu"    />
            <result property="prodWaterPguAeuTT"    column="prod_water_pgu_aeu_t_t"    />
            <result property="prodWaterPguAeuKgoe"    column="prod_water_pgu_aeu_kgoe"    />
            <result property="prodWaterPguAeuKgce"    column="prod_water_pgu_aeu_kgce"    />
            <result property="prodWaterSctuFlare"    column="prod_water_sctu_flare"    />
            <result property="prodWaterSub"    column="prod_water_sub"    />
            <result property="prodWaterBcc"    column="prod_water_bcc"    />
            <result property="turbineConToe"    column="turbine_con_toe"    />
            <result property="turbineConTce"    column="turbine_con_tce"    />
            <result property="turbineConPre"    column="turbine_con_pre"    />
            <result property="turbineConCracker"    column="turbine_con_cracker"    />
            <result property="turbineConCrackerTT"    column="turbine_con_cracker_t_t"    />
            <result property="turbineConCrackerKgoe"    column="turbine_con_cracker_kgoe"    />
            <result property="turbineConCrackerKgce"    column="turbine_con_cracker_kgce"    />
            <result property="turbineConPguAeu"    column="turbine_con_pgu_aeu"    />
            <result property="turbineConPguAeuTT"    column="turbine_con_pgu_aeu_t_t"    />
            <result property="turbineConPguAeuKgoe"    column="turbine_con_pgu_aeu_kgoe"    />
            <result property="turbineConPguAeuKgce"    column="turbine_con_pgu_aeu_kgce"    />
            <result property="turbineConSctuFlare"    column="turbine_con_sctu_flare"    />
            <result property="turbineConSub"    column="turbine_con_sub"    />
            <result property="turbineConBcc"    column="turbine_con_bcc"    />
            <result property="paIaToe"    column="pa_ia_toe"    />
            <result property="paIaTce"    column="pa_ia_tce"    />
            <result property="paIaPre"    column="pa_ia_pre"    />
            <result property="paIaCracker"    column="pa_ia_cracker"    />
            <result property="paIaCrackerTT"    column="pa_ia_cracker_t_t"    />
            <result property="paIaCrackerKgoe"    column="pa_ia_cracker_kgoe"    />
            <result property="paIaCrackerKgce"    column="pa_ia_cracker_kgce"    />
            <result property="paIaPguAeu"    column="pa_ia_pgu_aeu"    />
            <result property="paIaPguAeuTT"    column="pa_ia_pgu_aeu_t_t"    />
            <result property="paIaPguAeuKgoe"    column="pa_ia_pgu_aeu_kgoe"    />
            <result property="paIaPguAeuKgce"    column="pa_ia_pgu_aeu_kgce"    />
            <result property="paIaSctuFlare"    column="pa_ia_sctu_flare"    />
            <result property="paIaSub"    column="pa_ia_sub"    />
            <result property="paIaBcc"    column="pa_ia_bcc"    />
            <result property="n2Toe"    column="n2_toe"    />
            <result property="n2Tce"    column="n2_tce"    />
            <result property="n2Pre"    column="n2_pre"    />
            <result property="n2Cracker"    column="n2_cracker"    />
            <result property="n2CrackerTT"    column="n2_cracker_t_t"    />
            <result property="n2CrackerKgoe"    column="n2_cracker_kgoe"    />
            <result property="n2CrackerKgce"    column="n2_cracker_kgce"    />
            <result property="n2PguAeu"    column="n2_pgu_aeu"    />
            <result property="n2PguAeuTT"    column="n2_pgu_aeu_t_t"    />
            <result property="n2PguAeuKgoe"    column="n2_pgu_aeu_kgoe"    />
            <result property="n2PguAeuKgce"    column="n2_pgu_aeu_kgce"    />
            <result property="n2SctuFlare"    column="n2_sctu_flare"    />
            <result property="n2Sub"    column="n2_sub"    />
            <result property="n2Bcc"    column="n2_bcc"    />
            <result property="totalToe"    column="total_toe"    />
            <result property="totalTce"    column="total_tce"    />
            <result property="totalPre"    column="total_pre"    />
            <result property="totalCracker"    column="total_cracker"    />
            <result property="totalCrackerTT"    column="total_cracker_t_t"    />
            <result property="totalCrackerKgoe"    column="total_cracker_kgoe"    />
            <result property="totalCrackerKgce"    column="total_cracker_kgce"    />
            <result property="totalPguAeu"    column="total_pgu_aeu"    />
            <result property="totalPguAeuTT"    column="total_pgu_aeu_t_t"    />
            <result property="totalPguAeuKgoe"    column="total_pgu_aeu_kgoe"    />
            <result property="totalPguAeuKgce"    column="total_pgu_aeu_kgce"    />
            <result property="targetToe"    column="target_toe"    />
            <result property="targetTce"    column="target_tce"    />
            <result property="targetPre"    column="target_pre"    />
            <result property="targetCracker"    column="target_cracker"    />
            <result property="targetCrackerTT"    column="target_cracker_t_t"    />
            <result property="targetCrackerKgoe"    column="target_cracker_kgoe"    />
            <result property="targetCrackerKgce"    column="target_cracker_kgce"    />
            <result property="targetPguAeu"    column="target_pgu_aeu"    />
            <result property="targetPguAeuTT"    column="target_pgu_aeu_t_t"    />
            <result property="targetPguAeuKgoe"    column="target_pgu_aeu_kgoe"    />
            <result property="targetPguAeuKgce"    column="target_pgu_aeu_kgce"    />
            <result property="producedToe"    column="produced_toe"    />
            <result property="producedTce"    column="produced_tce"    />
            <result property="producedPre"    column="produced_pre"    />
            <result property="producedCracker"    column="produced_cracker"    />
            <result property="producedCrackerTT"    column="produced_cracker_t_t"    />
            <result property="producedCrackerKgoe"    column="produced_cracker_kgoe"    />
            <result property="producedCrackerKgce"    column="produced_cracker_kgce"    />
            <result property="producedPguAeu"    column="produced_pgu_aeu"    />
            <result property="producedPguAeuTT"    column="produced_pgu_aeu_t_t"    />
            <result property="producedPguAeuKgoe"    column="produced_pgu_aeu_kgoe"    />
            <result property="producedPguAeuKgce"    column="produced_pgu_aeu_kgce"    />
            <result property="frEoEg"    column="fr_eo_eg"    />
            <result property="loadPercentage"    column="load_percentage"    />
            <result property="hsProducet"    column="hs_producet"    />
            <result property="sctfStorageTotalC2"    column="sctf_storage_total_c2"    />
            <result property="sctfStorageTk1061"    column="sctf_storage_tk1061"    />
            <result property="sctfStorageTk1062"    column="sctf_storage_tk1062"    />
            <result property="sctfStorageTk1063"    column="sctf_storage_tk1063"    />
            <result property="sctfStorageTk1064"    column="sctf_storage_tk1064"    />
            <result property="sctfStorageTk1065Off"    column="sctf_storage_tk1065_off"    />
            <result property="sctfStorageTotalC3"    column="sctf_storage_total_c3"    />
            <result property="sctfStorageTk1011"    column="sctf_storage_tk1011"    />
            <result property="sctfStorageTk1012"    column="sctf_storage_tk1012"    />
            <result property="sctfStorageTk1013"    column="sctf_storage_tk1013"    />
            <result property="sctfStorageTk1014"    column="sctf_storage_tk1014"    />
            <result property="sctfStorageTk1040Off"    column="sctf_storage_tk1040_off"    />
            <result property="sctfStorageTk1020Lpg"    column="sctf_storage_tk1020_lpg"    />
            <result property="sctfStorageTk1111C4s"    column="sctf_storage_tk1111_c4s"    />
            <result property="sctfStorageTk1520Rpg"    column="sctf_storage_tk1520_rpg"    />
            <result property="sctfStorageTk1350Po"    column="sctf_storage_tk1350_po"    />
            <result property="sctfStorageTk1310Btx"    column="sctf_storage_tk1310_btx"    />
            <result property="sctfStorageTk1330Ebo"    column="sctf_storage_tk1330_ebo"    />
            <result property="sctfStorageTk1430Lfo"    column="sctf_storage_tk1430_lfo"    />
            <result property="sctfStorageTk1320OffBtx"    column="sctf_storage_tk1320_off_btx"    />
            <result property="sctfStorageT201Btx"    column="sctf_storage_t201_btx"    />
            <result property="sctfStorageTk1340C9"    column="sctf_storage_tk1340_c9"    />
            <result property="sctfStorageClt1350C9"    column="sctf_storage_clt1350_c9"    />
            <result property="sctfStorageTk1160Nh3"    column="sctf_storage_tk1160_nh3"    />
            <result property="sctfStorageTk1510B"    column="sctf_storage_tk1510_b"    />
            <result property="sctfStorageClt1370B"    column="sctf_storage_clt1370_b"    />
            <result property="sctfStorageTk1360T"    column="sctf_storage_tk1360_t"    />
            <result property="sctfStorageTk1410X"    column="sctf_storage_tk1410_x"    />
            <result property="sctfStorageClt1380X"    column="sctf_storage_clt1380_x"    />
            <result property="sctfStorageTk1420Dimer"    column="sctf_storage_tk1420_dimer"    />
            <result property="sctfStorageTk1110R1"    column="sctf_storage_tk1110_r1"    />
            <result property="sctfStorageTk1130Ib"    column="sctf_storage_tk1130_ib"    />
            <result property="sctfStorageTk1150R3"    column="sctf_storage_tk1150_r3"    />
            <result property="sctfStorageTk1140Bd"    column="sctf_storage_tk1140_bd"    />
            <result property="sctfStorageTk1141Bd"    column="sctf_storage_tk1141_bd"    />
            <result property="sctfStorageTk1142Bd"    column="sctf_storage_tk1142_bd"    />
            <result property="sctfStorageTotalNap"    column="sctf_storage_total_nap"    />
            <result property="sctfStorageCltf1621"    column="sctf_storage_cltf1621"    />
            <result property="sctfStorageCltf1622"    column="sctf_storage_cltf1622"    />
            <result property="sctfStorageCltf1623"    column="sctf_storage_cltf1623"    />
            <result property="pguToRpg"    column="pgu_to_rpg"    />
            <result property="rpgToPgu2"    column="rpg_to_pgu2"    />
            <result property="pguRpgTH"    column="pgu_rpg_t_h"    />
            <result property="pguRpg1"    column="pgu_rpg1"    />
            <result property="pguRpg2"    column="pgu_rpg2"    />
            <result property="pguH2"    column="pgu_h2"    />
            <result property="pguTotalFeed"    column="pgu_total_feed"    />
            <result property="pguOutput"    column="pgu_output"    />
            <result property="pguTotalLoss"    column="pgu_total_loss"    />
            <result property="pguLossPercentage"    column="pgu_loss_percentage"    />
            <result property="pguFeedLoadPercentage"    column="pgu_feed_load_percentage"    />
            <result property="pguToAeu"    column="pgu_to_aeu"    />
            <result property="aeuToPgu"    column="aeu_to_pgu"    />
            <result property="pguAeuTH"    column="pgu_aeu_t_h"    />
            <result property="pguBtxYeildPercentage"    column="pgu_btx_yeild_percentage"    />
            <result property="pguBtxProduced"    column="pgu_btx_produced"    />
            <result property="pguBtxInventory"    column="pgu_btx_inventory"    />
            <result property="pguBtxChange"    column="pgu_btx_change"    />
            <result property="pguBtxExport"    column="pgu_btx_export"    />
            <result property="pguBtxToAeu"    column="pgu_btx_to_aeu"    />
            <result property="pguWashoilYeildPercentage"    column="pgu_washoil_yeild_percentage"    />
            <result property="pguWashoilProduced"    column="pgu_washoil_produced"    />
            <result property="pguWashoilInventory"    column="pgu_washoil_inventory"    />
            <result property="pguWashoilChange"    column="pgu_washoil_change"    />
            <result property="pguWashoilToEu"    column="pgu_washoil_to_eu"    />
            <result property="pguOffgasYeildPercentage"    column="pgu_offgas_yeild_percentage"    />
            <result property="pguOffgasProduced"    column="pgu_offgas_produced"    />
            <result property="pguOffgasInventory"    column="pgu_offgas_inventory"    />
            <result property="pguOffgasChange"    column="pgu_offgas_change"    />
            <result property="pguOffgasToEu"    column="pgu_offgas_to_eu"    />
            <result property="pguC5YeildPercentage"    column="pgu_c5_yeild_percentage"    />
            <result property="pguC5Produced"    column="pgu_c5_produced"    />
            <result property="pguC5Export"    column="pgu_c5_export"    />
            <result property="pguC5ToAeu"    column="pgu_c5_to_aeu"    />
            <result property="pguC5ToEu"    column="pgu_c5_to_eu"    />
            <result property="pguC5ToYuanguan"    column="pgu_c5_to_yuanguan"    />
            <result property="pguC5RaffInput"    column="pgu_c5_raff_input"    />
            <result property="pguC9YeildPercentage"    column="pgu_c9_yeild_percentage"    />
            <result property="pguC9Produced"    column="pgu_c9_produced"    />
            <result property="pguC9Inventory"    column="pgu_c9_inventory"    />
            <result property="pguC9Change"    column="pgu_c9_change"    />
            <result property="pguC9Export"    column="pgu_c9_export"    />
            <result property="pguC9ToAeu"    column="pgu_c9_to_aeu"    />
            <result property="pguC9ToRttf"    column="pgu_c9_to_rttf"    />
            <result property="pguC9ToShip"    column="pgu_c9_to_ship"    />
            <result property="pguC9ToYfcc"    column="pgu_c9_to_yfcc"    />
            <result property="aeuBenzeneYeildPercentage"    column="aeu_benzene_yeild_percentage"    />
            <result property="aeuBenzeneProduced"    column="aeu_benzene_produced"    />
            <result property="aeuBenzeneInventory"    column="aeu_benzene_inventory"    />
            <result property="aeuBenzeneChange"    column="aeu_benzene_change"    />
            <result property="aeuBenzeneToShip"    column="aeu_benzene_to_ship"    />
            <result property="aeuBenzeneFrShip"    column="aeu_benzene_fr_ship"    />
            <result property="aeuBenzeneToYbs"    column="aeu_benzene_to_ybs"    />
            <result property="aeuBenzeneToRttf"    column="aeu_benzene_to_rttf"    />
            <result property="aeuBenzeneToTrain"    column="aeu_benzene_to_train"    />
            <result property="aeuTolueneYeildPercentage"    column="aeu_toluene_yeild_percentage"    />
            <result property="aeuTolueneProduced"    column="aeu_toluene_produced"    />
            <result property="aeuTolueneInventory"    column="aeu_toluene_inventory"    />
            <result property="aeuTolueneChange"    column="aeu_toluene_change"    />
            <result property="aeuTolueneToShip"    column="aeu_toluene_to_ship"    />
            <result property="aeuTolueneFrShip"    column="aeu_toluene_fr_ship"    />
            <result property="aeuTolueneToYpc"    column="aeu_toluene_to_ypc"    />
            <result property="aeuTolueneFrYpc"    column="aeu_toluene_fr_ypc"    />
            <result property="aeuTolueneToRttf"    column="aeu_toluene_to_rttf"    />
            <result property="aeuTolueneFrYbs"    column="aeu_toluene_fr_ybs"    />
            <result property="aeuTolueneToEu"    column="aeu_toluene_to_eu"    />
            <result property="aeuXyleneYeildPercentage"    column="aeu_xylene_yeild_percentage"    />
            <result property="aeuXyleneProduced"    column="aeu_xylene_produced"    />
            <result property="aeuXyleneInventory"    column="aeu_xylene_inventory"    />
            <result property="aeuXyleneChange"    column="aeu_xylene_change"    />
            <result property="aeuXyleneToShip"    column="aeu_xylene_to_ship"    />
            <result property="aeuXyleneFrShip"    column="aeu_xylene_fr_ship"    />
            <result property="aeuXyleneToYpc"    column="aeu_xylene_to_ypc"    />
            <result property="aeuXyleneFrYpc"    column="aeu_xylene_fr_ypc"    />
            <result property="aeuXyleneToRttf"    column="aeu_xylene_to_rttf"    />
            <result property="aeuC6C8NaYeildPercentage"    column="aeu_c6_c8_na_yeild_percentage"    />
            <result property="aeuC6C8NaProduced"    column="aeu_c6_c8_na_produced"    />
            <result property="aeuC6C8NaInventory"    column="aeu_c6_c8_na_inventory"    />
            <result property="aeuC6C8NaChange"    column="aeu_c6_c8_na_change"    />
            <result property="aeuC6C8NaToEu"    column="aeu_c6_c8_na_to_eu"    />
            <result property="aeuC6C8NaToYpc"    column="aeu_c6_c8_na_to_ypc"    />
            <result property="aeuTotalFeed"    column="aeu_total_feed"    />
            <result property="aeuOutput"    column="aeu_output"    />
            <result property="aeuTotalLoss"    column="aeu_total_loss"    />
            <result property="aeuLossPercentage"    column="aeu_loss_percentage"    />
            <result property="aeuFeedLoadPercentage"    column="aeu_feed_load_percentage"    />
            <result property="pguAeuTotalFeed"    column="pgu_aeu_total_feed"    />
            <result property="pguAeuOutput"    column="pgu_aeu_output"    />
            <result property="pguAeuTotalLoss"    column="pgu_aeu_total_loss"    />
            <result property="pguAeuLossPercentage"    column="pgu_aeu_loss_percentage"    />
            <result property="pguAeuFeedLoadPercentage"    column="pgu_aeu_feed_load_percentage"    />
            <result property="deptName" column="dept_name" />
        </resultMap>

    <sql id="selectTDailyProductionReportVo">
        select
            d.id, d.offgas_to_gaa_caa, d.from_date, d.to_date, d.report_date, d.nap, d.c5, d.c6_c8_na, d.wison_ethane, d.lpg_to_furnace, d.raff1_fr_bd, d.raff2_fr_ib,
            d.raff3_fr_bd, d.raffinate2p_fr_2ph, d.c2_fr_ldpe, d.c3_fr_oxo, d.mixed_c3_c4, d.hy_c9, d.pgu_offgas, d.wash_oil, d.toluene, d.hy_c4_fr_r800,
            d.h2_yield_percentage, d.h2_produced, d.h2_inventory, d.h2_change, d.h2_import, d.h2_export, d.h2_to_pgu, d.h2_to_ypc, d.h2_to_oxo,
            d.h2_fr_syngas_to_sub, d.ethylen_yield_percentage, d.ethylen_produced, d.ethylen_inventory, d.ethylen_change, d.ethylen_import, d.ethylen_export,
            d.ethylen_to_tm, d.ethylen_to_ts, d.ethylen_to_eo_eg, d.ethylen_to_oxo, d.ethylen_to_ybs, d.ethylen_to_ypc, d.ethylen_to_wacker, d.ethylen_to_dyna,
            d.ethylen_to_celan_longx, d.ethylen_fr_ypc, d.ethylen_fr_longxiang, d.propylene_yield_percentage, d.propylene_produced, d.propylene_inventory,
            d.propylene_change, d.propylene_import, d.propylene_export, d.propylene_to_aa_ae, d.propylene_to_gaa, d.propylene_to_oxo, d.propylene_to_ldpe,
            d.propylene_to_ypc, d.propylene_to_road, d.propylene_to_ship, d.propylene_fr_ypc, d.propylene_fr_ship, d.propylene_fr_chengzhi,
            d.c3_lpg_yield_percentage, d.c4_lpg_yield_percentage, d.c3_lpg_produced, d.c4_lpg_produced, d.c3_c4_inventory, d.c3_c4_change, d.c3_c4_import,
            d.c3_c4_export, d.c3_c4_to_sub, d.c3_c4_to_fur_as_fule, d.c3_c4_as_feed, d.c3_c4_fr_ypc, d.c3_c4_fr_truck, d.mixed_c4s_yield_percentage,
            d.mixed_c4s_produced, d.mixed_c4s_inventory, d.mixed_c4s_change, d.mixed_c4s_import, d.mixed_c4s_export, d.mixed_c4s_to_bd, d.mixed_c4s_to_ypc,
            d.mixed_c4s_to_truck, d.mixed_c4s_to_ship, d.mixed_c4s_fr_ypc, d.mixed_c4s_fr_truck, d.mixed_c4s_fr_ship, d.mixed_c4s_fr_bd_r1, d.mixed_c4s_to_r800,
            d.ebo_yield_percentage, d.ebo_produced, d.ebo_inventory, d.ebo_change, d.ebo_import, d.ebo_export, d.ebo_to_ship, d.ebo_to_rttf, d.ebo_to_train,
            d.ebo_fr_bd, d.naphthalene_yield_percentage, d.naphthalene_produced, d.naphthalene_inventory, d.naphthalene_change, d.naphthalene_import,
            d.naphthalene_export, d.naphthalene_to_truck, d.po_flux_oil_yield_percentage, d.po_flux_oil_produced, d.po_flux_oil_inventory, d.po_flux_oil_change,
            d.po_flux_oil_import, d.po_flux_oil_export, d.po_flux_oil_to_bd, d.offgas_yield_percentage, d.offgas_produced, d.offgas_inventory, d.offgas_change,
            d.offgas_import, d.offgas_export, d.offgas_to_furnance, d.offgas_to_ybs, d.offgas_to_c_eru, d.offgas_sub_in_close_u2, d.offgas_flare_sctu,
            d.offgas_to_u2_nm3, d.offgas_flare_loss_t, d.rpg_yield_percentage, d.rpg_produced, d.rpg_inventory, d.rpg_change, d.rpg_import, d.rpg_export,
            d.rpg_to_pgu, d.rpg_fr_yfcc, d.methane_yield_percentage, d.methane_produced, d.methane_to_eo_eg, d.residue_oil_yield_percentage,
            d.residue_oil_produced, d.total_input, d.total_output, d.total_loss, d.loss_percentage, d.total_furnance_feed, d.nap_fr_cltf, d.total_p_e,
            d.plant_mode_is, d.plant_load_3495t_d, d.avg_furnance_feed_t_h, d.feeding_ratio_percentage, d.hhp_toe, d.hhp_tce, d.hhp_pre, d.hhp_cracker,
            d.hhp_cracker_t_t, d.hhp_cracker_kgoe, d.hhp_cracker_kgce, d.hhp_pgu_aeu, d.hhp_pgu_aeu_t_t, d.hhp_pgu_aeu_kgoe, d.hhp_pgu_aeu_kgce,
            d.hhp_sctu_flare, d.hhp_sub, d.hhp_bcc, d.ng_toe, d.ng_tce, d.ng_pre, d.ng_cracker, d.ng_cracker_t_t, d.ng_cracker_kgoe, d.ng_cracker_kgce,
            d.ng_pgu_aeu, d.ng_pgu_aeu_t_t, d.ng_pgu_aeu_kgoe, d.ng_pgu_aeu_kgce, d.ng_sctu_flare, d.ng_sub, d.ng_bcc, d.fuel_gas_offgas_toe,
            d.fuel_gas_offgas_tce, d.fuel_gas_offgas_pre, d.fuel_gas_offgas_cracker, d.fuel_gas_offgas_cracker_t_t, d.fuel_gas_offgas_cracker_kgoe,
            d.fuel_gas_offgas_cracker_kgce, d.fuel_gas_offgas_pgu_aeu, d.fuel_gas_offgas_pgu_aeu_t_t, d.fuel_gas_offgas_pgu_aeu_kgoe,
            d.fuel_gas_offgas_pgu_aeu_kgce, d.fuel_gas_offgas_sctu_flare, d.fuel_gas_offgas_sub, d.fuel_gas_offgas_bcc, d.shp_toe, d.shp_tce, d.shp_pre,
            d.shp_cracker, d.shp_cracker_t_t, d.shp_cracker_kgoe, d.shp_cracker_kgce, d.shp_pgu_aeu, d.shp_pgu_aeu_t_t, d.shp_pgu_aeu_kgoe, d.shp_pgu_aeu_kgce,
            d.shp_sctu_flare, d.shp_sub, d.shp_bcc, d.hp_toe, d.hp_tce, d.hp_pre, d.hp_cracker, d.hp_cracker_t_t, d.hp_cracker_kgoe, d.hp_cracker_kgce,
            d.hp_pgu_aeu, d.hp_pgu_aeu_t_t, d.hp_pgu_aeu_kgoe, d.hp_pgu_aeu_kgce, d.hp_sctu_flare, d.hp_sub, d.hp_bcc, d.mp_toe, d.mp_tce, d.mp_pre, d.mp_cracker,
            d.mp_cracker_t_t, d.mp_cracker_kgoe, d.mp_cracker_kgce, d.mp_pgu_aeu, d.mp_pgu_aeu_t_t, d.mp_pgu_aeu_kgoe, d.mp_pgu_aeu_kgce, d.mp_sctu_flare,
            d.mp_sub, d.mp_bcc, d.lp_toe, d.lp_tce, d.lp_pre, d.lp_cracker, d.lp_cracker_t_t, d.lp_cracker_kgoe, d.lp_cracker_kgce, d.lp_pgu_aeu, d.lp_pgu_aeu_t_t,
            d.lp_pgu_aeu_kgoe, d.lp_pgu_aeu_kgce, d.lp_sctu_flare, d.lp_sub, d.lp_bcc, d.electricity_toe, d.electricity_tce, d.electricity_pre,
            d.electricity_cracker, d.electricity_cracker_t_t, d.electricity_cracker_kgoe, d.electricity_cracker_kgce, d.electricity_pgu_aeu,
            d.electricity_pgu_aeu_t_t, d.electricity_pgu_aeu_kgoe, d.electricity_pgu_aeu_kgce, d.electricity_sctu_flare, d.electricity_sub, d.electricity_bcc,
            d.cooling_water_toe, d.cooling_water_tce, d.cooling_water_pre, d.cooling_water_cracker, d.cooling_water_cracker_t_t, d.cooling_water_cracker_kgoe,
            d.cooling_water_cracker_kgce, d.cooling_water_pgu_aeu, d.cooling_water_pgu_aeu_t_t, d.cooling_water_pgu_aeu_kgoe, d.cooling_water_pgu_aeu_kgce,
            d.cooling_water_sctu_flare, d.cooling_water_sub, d.cooling_water_bcc, d.polished_con_toe, d.polished_con_tce, d.polished_con_pre,
            d.polished_con_cracker, d.polished_con_cracker_t_t, d.polished_con_cracker_kgoe, d.polished_con_cracker_kgce, d.polished_con_pgu_aeu,
            d.polished_con_pgu_aeu_t_t, d.polished_con_pgu_aeu_kgoe, d.polished_con_pgu_aeu_kgce, d.polished_con_sctu_flare, d.polished_con_sub,
            d.polished_con_bcc, d.hp_bfw_toe, d.hp_bfw_tce, d.hp_bfw_pre, d.hp_bfw_cracker, d.hp_bfw_cracker_t_t, d.hp_bfw_cracker_kgoe, d.hp_bfw_cracker_kgce,
            d.hp_bfw_pgu_aeu, d.hp_bfw_pgu_aeu_t_t, d.hp_bfw_pgu_aeu_kgoe, d.hp_bfw_pgu_aeu_kgce, d.hp_bfw_sctu_flare, d.hp_bfw_sub, d.hp_bfw_bcc, d.prod_water_toe,
            d.prod_water_tce, d.prod_water_pre, d.prod_water_cracker, d.prod_water_cracker_t_t, d.prod_water_cracker_kgoe, d.prod_water_cracker_kgce,
            d.prod_water_pgu_aeu, d.prod_water_pgu_aeu_t_t, d.prod_water_pgu_aeu_kgoe, d.prod_water_pgu_aeu_kgce, d.prod_water_sctu_flare, d.prod_water_sub,
            d.prod_water_bcc, d.turbine_con_toe, d.turbine_con_tce, d.turbine_con_pre, d.turbine_con_cracker, d.turbine_con_cracker_t_t, d.turbine_con_cracker_kgoe,
            d.turbine_con_cracker_kgce, d.turbine_con_pgu_aeu, d.turbine_con_pgu_aeu_t_t, d.turbine_con_pgu_aeu_kgoe, d.turbine_con_pgu_aeu_kgce,
            d.turbine_con_sctu_flare, d.turbine_con_sub, d.turbine_con_bcc, d.pa_ia_toe, d.pa_ia_tce, d.pa_ia_pre, d.pa_ia_cracker, d.pa_ia_cracker_t_t,
            d.pa_ia_cracker_kgoe, d.pa_ia_cracker_kgce, d.pa_ia_pgu_aeu, d.pa_ia_pgu_aeu_t_t, d.pa_ia_pgu_aeu_kgoe, d.pa_ia_pgu_aeu_kgce, d.pa_ia_sctu_flare,
            d.pa_ia_sub, d.pa_ia_bcc, d.n2_toe, d.n2_tce, d.n2_pre, d.n2_cracker, d.n2_cracker_t_t, d.n2_cracker_kgoe, d.n2_cracker_kgce, d.n2_pgu_aeu,
            d.n2_pgu_aeu_t_t, d.n2_pgu_aeu_kgoe, d.n2_pgu_aeu_kgce, d.n2_sctu_flare, d.n2_sub, d.n2_bcc, d.total_toe, d.total_tce, d.total_pre, d.total_cracker,
            d.total_cracker_t_t, d.total_cracker_kgoe, d.total_cracker_kgce, d.total_pgu_aeu, d.total_pgu_aeu_t_t, d.total_pgu_aeu_kgoe, d.total_pgu_aeu_kgce,
            d.target_toe, d.target_tce, d.target_pre, d.target_cracker, d.target_cracker_t_t, d.target_cracker_kgoe, d.target_cracker_kgce, d.target_pgu_aeu,
            d.target_pgu_aeu_t_t, d.target_pgu_aeu_kgoe, d.target_pgu_aeu_kgce, d.produced_toe, d.produced_tce, d.produced_pre, d.produced_cracker,
            d.produced_cracker_t_t, d.produced_cracker_kgoe, d.produced_cracker_kgce, d.produced_pgu_aeu, d.produced_pgu_aeu_t_t, d.produced_pgu_aeu_kgoe,
            d.produced_pgu_aeu_kgce, d.fr_eo_eg, d.load_percentage, d.hs_producet, d.sctf_storage_total_c2, d.sctf_storage_tk1061, d.sctf_storage_tk1062,
            d.sctf_storage_tk1063, d.sctf_storage_tk1064, d.sctf_storage_tk1065_off, d.sctf_storage_total_c3, d.sctf_storage_tk1011, d.sctf_storage_tk1012,
            d.sctf_storage_tk1013, d.sctf_storage_tk1014, d.sctf_storage_tk1040_off, d.sctf_storage_tk1020_lpg, d.sctf_storage_tk1111_c4s,
            d.sctf_storage_tk1520_rpg, d.sctf_storage_tk1350_po, d.sctf_storage_tk1310_btx, d.sctf_storage_tk1330_ebo, d.sctf_storage_tk1430_lfo,
            d.sctf_storage_tk1320_off_btx, d.sctf_storage_t201_btx, d.sctf_storage_tk1340_c9, d.sctf_storage_clt1350_c9, d.sctf_storage_tk1160_nh3,
            d.sctf_storage_tk1510_b, d.sctf_storage_clt1370_b, d.sctf_storage_tk1360_t, d.sctf_storage_tk1410_x, d.sctf_storage_clt1380_x,
            d.sctf_storage_tk1420_dimer, d.sctf_storage_tk1110_r1, d.sctf_storage_tk1130_ib, d.sctf_storage_tk1150_r3, d.sctf_storage_tk1140_bd,
            d.sctf_storage_tk1141_bd, d.sctf_storage_tk1142_bd, d.sctf_storage_total_nap, d.sctf_storage_cltf1621, d.sctf_storage_cltf1622, d.sctf_storage_cltf1623,
            d.pgu_to_rpg, d.rpg_to_pgu2, d.pgu_rpg_t_h, d.pgu_rpg1, d.pgu_rpg2, d.pgu_h2, d.pgu_total_feed, d.pgu_output, d.pgu_total_loss, d.pgu_loss_percentage,
            d.pgu_feed_load_percentage, d.pgu_to_aeu, d.aeu_to_pgu, d.pgu_aeu_t_h, d.pgu_btx_yeild_percentage, d.pgu_btx_produced, d.pgu_btx_inventory,
            d.pgu_btx_change, d.pgu_btx_export, d.pgu_btx_to_aeu, d.pgu_washoil_yeild_percentage, d.pgu_washoil_produced, d.pgu_washoil_inventory,
            d.pgu_washoil_change, d.pgu_washoil_to_eu, d.pgu_offgas_yeild_percentage, d.pgu_offgas_produced, d.pgu_offgas_inventory,
            d.pgu_offgas_change, d.pgu_offgas_to_eu, d.pgu_c5_yeild_percentage, d.pgu_c5_produced,
            d.pgu_c5_export, d.pgu_c5_to_aeu, d.pgu_c5_to_eu, d.pgu_c5_to_yuanguan, d.pgu_c9_yeild_percentage, d.pgu_c9_produced, d.pgu_c9_inventory,
            d.pgu_c9_change, d.pgu_c9_export, d.pgu_c9_to_aeu, d.pgu_c9_to_rttf, d.pgu_c9_to_ship, d.pgu_c9_to_yfcc, d.aeu_benzene_yeild_percentage,
            d.aeu_benzene_produced, d.aeu_benzene_inventory, d.aeu_benzene_change, d.aeu_benzene_to_ship, d.aeu_benzene_fr_ship, d.aeu_benzene_to_ybs,
            d.aeu_benzene_to_rttf, d.aeu_benzene_to_train, d.aeu_toluene_yeild_percentage, d.aeu_toluene_produced, d.aeu_toluene_inventory, d.aeu_toluene_change,
            d.aeu_toluene_to_ship, d.aeu_toluene_fr_ship, d.aeu_toluene_to_ypc, d.aeu_toluene_fr_ypc, d.aeu_toluene_to_rttf, d.aeu_toluene_fr_ybs,
            d.aeu_toluene_to_eu, d.aeu_xylene_yeild_percentage, d.aeu_xylene_produced, d.aeu_xylene_inventory, d.aeu_xylene_change, d.aeu_xylene_to_ship,
            d.aeu_xylene_fr_ship, d.aeu_xylene_to_ypc, d.aeu_xylene_fr_ypc, d.aeu_xylene_to_rttf, d.aeu_c6_c8_na_yeild_percentage, d.aeu_c6_c8_na_produced,
            d.aeu_c6_c8_na_inventory, d.aeu_c6_c8_na_change, d.aeu_c6_c8_na_to_eu, d.aeu_c6_c8_na_to_ypc, d.aeu_total_feed, d.aeu_output, d.aeu_total_loss,
            d.aeu_loss_percentage, d.aeu_feed_load_percentage, d.pgu_aeu_total_feed, d.pgu_aeu_output, d.pgu_aeu_total_loss, d.pgu_aeu_loss_percentage,
            d.pgu_aeu_feed_load_percentage, d.PGU_C5_RAFF_INPUT, d.col_320fc2161, d.c210pdi, d.temperature, d.cracking_furnace_burn
        from t_daily_production_report d
    </sql>

    <!-- 查询日期最新的每日生产报告 -->
    <select id="selectTDailyProductionReportByMaxDate" resultMap="TDailyProductionReportResult">
        <include refid="selectTDailyProductionReportVo"/>
        where d.REPORT_DATE = (select max(t2.REPORT_DATE) from t_daily_production_report t2)
    </select>
</mapper>
